Summary:	SSH key manager for KDE
Name:		ksshagent
Version:	0.6
Release:	%mkrel 4
License:	GPL
Group:		Networking/Remote access
Source0:	http://hanz.nl/download/ksshagent-%{version}.tar.gz
Url:		http://hanz.nl/
BuildRequires:	kdelibs-devel
Requires:	openssh-clients
Requires:	ksshaskpass
Requires(post):	desktop-file-utils
Requires(postun):desktop-file-utils

%description
Ksshagent is a front-end to ssh-agent which
allow you to graphically create, add, list and remove ssh-keys.

%prep
%setup -qn %{name}-%{version}

%build
# Zé: fix doc dir
export kde_htmldir=%{_docdir}/HTML
%configure2_5x \
    --enable-final \
    --enable-nmcheck \
    --enable-pch \
    --disable-rpath

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

rm -fr %buildroot%_datadir/applnk
desktop-file-install	--vendor="" \
			--add-category="KDE" \
			--add-category="Qt" \
			--add-category="RemoteAccess;Network" \
			--dir %{buildroot}%{_datadir}/applications/kde %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%doc %{_docdir}/HTML/en/%{name}/ 
%attr(755,root,root)%{_bindir}/%{name}
%dir %{_datadir}/apps/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/ksshagent/%{name}ui.rc
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 0.6-4mdv2008.0
+ Revision: 78069
- only ship standard location menus

* Wed Jun 20 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6-3mdv2008.0
+ Revision: 41919
- misc fixes
- from Z?\195?\169 <mmodem00@gmail.com>:
  	o remove useless menus macro
  	o remove macro to update mimetypes since there arent any mimetypes set
  	o put documentation in correct place


* Wed Jan 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-2mdv2007.0
+ Revision: 109801
- bump release tag
- updated tarball

* Tue Jan 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-1mdv2007.1
+ Revision: 109558
- fix doc path
- new version
- drop patch 0 (fixed upstream)
- add requires
- fix xdg menu entry
- spec file clean

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix typo on the configuration menu

* Wed Jan 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5-2mdv2007.1
+ Revision: 103905
- fix build on x86_64
- fix group
- Import ksshagent

